Subject: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Sep 2020 22:04:51 +0300

> Drew Adams <[email-masked]> writes:
>
>> Sorry.  `diredp' should be `dired' everywhere.
>> This patch takes care of that typo.
>
> Looks good to me, so I've now applied your patch to Emacs 28.
>
> Some bikeshedding ensued, and people should feel free to alter the code
> (as-is vs t, for instance).

I recall I asked for 't' instead of 'as-is', but actually 'as-is' is fine
as a value as long as it is not checked for this value in function body.
And indeed it's on the 't' branch of 'cond'.

> And I'm not sure about this:
>
> +                                   (concat " " xs (and (< l2  l1) "…")))))
>
> Perhaps that should be conditional upon the terminal being able to
> display that character?

Like everywhere else (if (char-displayable-p ?…) "…" "...")